webpackJsonp([33],{

/***/ 11:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AlertService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//包括Alert警示框、Loading加载框、toast等弹框工具
/*
弹出Alert对话框，需手动关闭
使用方法：如在全局中使用，需在app.module.ts中注册，先import，后在provider中声明，如需在对应组件中使用，则在对应组件的module.ts中声明，
在需要使用的页面improt入AlertService，import { AlertService } from '../../providers/util/alert.service';
然后在构造函数中注入， constructor(public navCtrl: NavController, public alert: AlertService) { }
最后通过this.alert.showAlert(..)等不同方式调用,
扩展可参考：https://ionicframework.com/docs/api/components/alert/AlertController
*/
var AlertService = /** @class */ (function () {
    function AlertService(alerCtrl, loadingCtrl, toastCtrl) {
        this.alerCtrl = alerCtrl;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
    }
    //基本警示框
    AlertService.prototype.showAlert = function (message, titleStr) {
        var alert = this.alerCtrl.create({
            title: titleStr == null ? '提示' : titleStr,
            subTitle: '',
            message: message,
            buttons: ['确定']
        });
        alert.present();
    };
    AlertService.prototype.showActionAlert = function (message, titleStr) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var alert = _this.alerCtrl.create({
                title: titleStr == null ? '提示' : titleStr,
                subTitle: '',
                message: message,
                buttons: [
                    {
                        text: "确定",
                        handler: function () {
                            alert.dismiss().then(function () { return resolve(true); });
                            return false;
                        }
                    }
                ]
            });
            alert.present();
        });
    };
    /*确认警示框,通过promise  callback的形式对弹出框点击按钮事件进行处理，使用方法先在使用页面组件import AlertServce
      通过this.alertService.showComfirm(title, message).then((value)=>{ do something});
    */
    AlertService.prototype.showComfirm = function (title, message, cancelTxt, OKTxt) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var confirm = _this.alerCtrl.create({
                title: title,
                message: message,
                buttons: [
                    {
                        text: cancelTxt,
                        role: 'cancel',
                        handler: function () {
                            confirm.dismiss().then(function () { return resolve(false); });
                            return false;
                        }
                    },
                    {
                        text: OKTxt,
                        handler: function () {
                            confirm.dismiss().then(function () { return resolve(true); });
                            return false;
                        }
                    }
                ]
            });
            return confirm.present();
        });
    };
    /*
   loading加载框
   使用方法：如在全局中使用，需在app.module.ts中注册，先import，后在provider中声明，如需在对应组件中使用，则在对应组件的module.ts中声明，
  在需要使用的页面improt入LoadingService，import { LoadingService } from '../../providers/util/loading.service';
  然后在构造函数中注入， constructor(public navCtrl: NavController, public loader: LoadingService) { }
  最后通过this.loader.showLoading(..)等不同方式调用,
  扩展可参考：https://ionicframework.com/docs/api/components/loading/LoadingController
  */
    AlertService.prototype.showLoading = function (content) {
        if (!this.loading) {
            this.loading = this.loadingCtrl.create({
                content: content,
                duration: 3000
            });
            this.loading.onDidDismiss(function () {
                console.log('Dismissed loading');
            });
            this.loading.present();
        }
    };
    AlertService.prototype.dismissLoading = function () {
        if (this.loading) {
            this.loading.dismiss();
            this.loading = null;
        }
    };
    /*
    Toast弹出工具,自动消失
    message:string,弹出的消息内容
    duration:number,显示时长
    position:string,显示位置，'top','middle','bottom'
    需要扩展的话，参照API：https://ionicframework.com/docs/api/components/toast/ToastController
    使用方法：如在全局中使用，需在app.module.ts中注册，先import，后在provider中声明，如需在对应组件中使用，则在对应组件的module.ts中声明，
    在需弹出toast的组件import { ToastService } from '../../providers/util/toast.service';
    然后在构造函数中注入  constructor(public navCtrl: NavController, public toast: ToastService) {}
    最后通过this.toast.show(...)调用
  */
    AlertService.prototype.showToast = function (message, duration, position) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: duration,
            position: position
        });
        //toast窗口消失后的行为。
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    AlertService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* ToastController */]])
    ], AlertService);
    return AlertService;
}());

//# sourceMappingURL=alert.service.js.map

/***/ }),

/***/ 113:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/*
  Generated class for the SettingServiceProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var SettingProvider = /** @class */ (function () {
    function SettingProvider(httpProvider, globalData, alertService) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.alertService = alertService;
        this.cfg = __WEBPACK_IMPORTED_MODULE_4__app_app_config__["a" /* cfg */];
    }
    //提交反馈数据
    SettingProvider.prototype.subFBData = function (feebackData) {
        var _this = this;
        var feebackUrl = this.cfg.apiUrl + this.cfg.otherAPI.feebback;
        var params = {
            Type: "gzwcit.elearning.app",
            content: feebackData.content,
            feel: feebackData.statisfaction,
            name: feebackData.user_realname,
            phone: feebackData.telephoneNum
        };
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(feebackUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            return res.result;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //获取服务端版本号
    SettingProvider.prototype.getVersion = function () {
        var versionUrl = this.cfg.apiUrl + this.cfg.otherAPI.version;
        var promise = this.httpProvider.post(versionUrl).then(function (res) {
            return res;
        }, function (error) {
            console.log('getVersion error ' + error);
            return error;
        });
        return promise;
    };
    SettingProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_3__utils_alert_service__["a" /* AlertService */]])
    ], SettingProvider);
    return SettingProvider;
}());

//# sourceMappingURL=setting.service.js.map

/***/ }),

/***/ 114:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UpdateAppProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__setting_service_setting_service__ = __webpack_require__(113);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(46);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_opener__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_transfer__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_app_config__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ionic_angular__ = __webpack_require__(25);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/*
APP版本更新服务
*/
var UpdateAppProvider = /** @class */ (function () {
    function UpdateAppProvider(alertService, settingProvider, utilsProvider, file, fileOpener, transfer, loadingCtrl) {
        this.alertService = alertService;
        this.settingProvider = settingProvider;
        this.utilsProvider = utilsProvider;
        this.file = file;
        this.fileOpener = fileOpener;
        this.transfer = transfer;
        this.loadingCtrl = loadingCtrl;
        this.cfg = __WEBPACK_IMPORTED_MODULE_7__app_app_config__["a" /* cfg */];
    }
    UpdateAppProvider.prototype.checkAppVersion = function (isFromSetting) {
        var _this = this;
        this.settingProvider.getVersion().then(function (res) {
            if (res.result == 1) {
                //将1.0.0转换为100，方便版本号进行比较
                var appVersion = parseInt((_this.cfg.app_Version).toString().replace(new RegExp(/(\.)/g), ''));
                var serverVersion = parseInt((res.data.Version).toString().replace(new RegExp(/(\.)/g), ''));
                var updateUrl_1 = "";
                if (_this.utilsProvider.isAndroid()) {
                    updateUrl_1 = res.data.AndroidUrl;
                }
                else {
                    updateUrl_1 = res.data.IosUrl;
                }
                if (appVersion < serverVersion) {
                    _this.alertService.showComfirm('版本更新', res.data.Content, '暂不更新', '立即更新').then(function (value) {
                        if (value) {
                            if (_this.utilsProvider.isAndroid()) {
                                _this.updateAndroid(updateUrl_1);
                            }
                            else {
                                window.open(updateUrl_1);
                            }
                        }
                    });
                }
                else {
                    if (isFromSetting) {
                        _this.alertService.showToast("当前已是最新版本", 3000, "middle");
                    }
                }
            }
        });
    };
    UpdateAppProvider.prototype.updateAndroid = function (url) {
        var _this = this;
        var loading = this.loadingCtrl.create({
            spinner: 'android',
            content: '安装包正在下载...',
            dismissOnPageChange: false
        });
        loading.present();
        var fileTransfer = this.transfer.create();
        var apkPath = this.file.externalDataDirectory + 'download_qckw/qingchengapp.apk';
        fileTransfer.download(encodeURI(url), apkPath).then(function () {
            loading.dismiss();
            _this.openFile(apkPath, url);
        }, function (error) {
            loading.dismiss();
            // let errorStr = JSON.stringify(error);
            // this.alertService.showAlert(errorStr);
            // this.alertService.showAlert('下载更新失败，请稍后重试!');
            //下载失败的时通过跳转浏览器的方式打开链接
            _this.openBrowser(url);
        });
        fileTransfer.onProgress(function (event) {
            var downloadProgress = (event.loaded / event.total) * 100;
            loading.setContent("下载中" + Math.floor(downloadProgress) + "%");
            if (downloadProgress > 99) {
                loading.dismiss();
            }
        });
    };
    UpdateAppProvider.prototype.openBrowser = function (url) {
        navigator.startApp.start(url, function (message) {
            console.log("success:" + message);
        }, function (error) {
            console.log("error:" + error);
        });
    };
    UpdateAppProvider.prototype.openFile = function (apkPath, url) {
        var _this = this;
        this.fileOpener.open(apkPath, 'application/vnd.android.package-archive').then(function () {
        }).catch(function (error) {
            _this.alertService.showAlert('打开安装包失败!');
            //打开
            _this.openBrowser(url);
        });
    };
    UpdateAppProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_2__setting_service_setting_service__["a" /* SettingProvider */], __WEBPACK_IMPORTED_MODULE_3__utils__["a" /* UtilsProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_opener__["a" /* FileOpener */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_transfer__["a" /* FileTransfer */], __WEBPACK_IMPORTED_MODULE_8_ionic_angular__["k" /* LoadingController */]])
    ], UpdateAppProvider);
    return UpdateAppProvider;
}());

//# sourceMappingURL=updateApp.service.js.map

/***/ }),

/***/ 124:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 124;

/***/ }),

/***/ 16:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UtilsProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_network__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_themeable_browser__ = __webpack_require__(169);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/*
  utilsl类存放和业务无关的公共方法
*/
var UtilsProvider = /** @class */ (function () {
    function UtilsProvider(platform, alertService, globalData, network, themeableBrowser, modalCtrl) {
        this.platform = platform;
        this.alertService = alertService;
        this.globalData = globalData;
        this.network = network;
        this.themeableBrowser = themeableBrowser;
        this.modalCtrl = modalCtrl;
        console.log('Hello UtilsProvider Provider');
    }
    //用户使用平台判断
    UtilsProvider.prototype.isIOS = function () {
        return this.platform.is('ios');
    };
    UtilsProvider.prototype.isAndroid = function () {
        return this.platform.is('android');
    };
    UtilsProvider.isEmpty = function (value) {
        return value == null || typeof value === 'undefined' || typeof value === 'string' && value.length === 0;
    };
    //获取设备高度
    UtilsProvider.getWindowHeight = function () {
        return window.screen.height;
    };
    //获取设备宽度
    UtilsProvider.getWindowWidth = function () {
        return window.screen.width;
    };
    //获取屏幕分辨率
    UtilsProvider.getPixelRatio = function () {
        var x = window.screen.width * window.devicePixelRatio;
        var y = window.screen.height * window.devicePixelRatio;
        return [x, y];
    };
    /**
     * 日期对象转为日期字符串
     * @param date 需要格式化的日期对象
     * @param sFormat 输出格式,默认为yyyy-MM-dd                         年：y，月：M，日：d，时：h，分：m，秒：s
     * @example  dateFormat(new Date())                                "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd')                   "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd hh:mm:ss')         "2017-02-28 09:24:00"
     * @example  dateFormat(new Date(),'hh:mm')                       "09:24"
     * @example  dateFormat(new Date(),'yyyy-MM-ddThh:mm:ss+08:00')   "2017-02-28T09:24:00+08:00"
     * @returns {string}
     */
    UtilsProvider.dateFormat = function (date, sFormat) {
        if (sFormat === void 0) { sFormat = 'yyyy-MM-dd'; }
        var time = {
            Year: 0,
            TYear: '0',
            Month: 0,
            TMonth: '0',
            Day: 0,
            TDay: '0',
            Hour: 0,
            THour: '0',
            hour: 0,
            Thour: '0',
            Minute: 0,
            TMinute: '0',
            Second: 0,
            TSecond: '0',
            Millisecond: 0
        };
        time.Year = date.getFullYear();
        time.TYear = String(time.Year).substr(2);
        time.Month = date.getMonth() + 1;
        time.TMonth = time.Month < 10 ? "0" + time.Month : String(time.Month);
        time.Day = date.getDate();
        time.TDay = time.Day < 10 ? "0" + time.Day : String(time.Day);
        time.Hour = date.getHours();
        time.THour = time.Hour < 10 ? "0" + time.Hour : String(time.Hour);
        time.hour = time.Hour < 13 ? time.Hour : time.Hour - 12;
        time.Thour = time.hour < 10 ? "0" + time.hour : String(time.hour);
        time.Minute = date.getMinutes();
        time.TMinute = time.Minute < 10 ? "0" + time.Minute : String(time.Minute);
        time.Second = date.getSeconds();
        time.TSecond = time.Second < 10 ? "0" + time.Second : String(time.Second);
        time.Millisecond = date.getMilliseconds();
        return sFormat.replace(/yyyy/ig, String(time.Year))
            .replace(/yyy/ig, String(time.Year))
            .replace(/yy/ig, time.TYear)
            .replace(/y/ig, time.TYear)
            .replace(/MM/g, time.TMonth)
            .replace(/M/g, String(time.Month))
            .replace(/dd/ig, time.TDay)
            .replace(/d/ig, String(time.Day))
            .replace(/HH/g, time.THour)
            .replace(/H/g, String(time.Hour))
            .replace(/hh/g, time.Thour)
            .replace(/h/g, String(time.hour))
            .replace(/mm/g, time.TMinute)
            .replace(/m/g, String(time.Minute))
            .replace(/ss/ig, time.TSecond)
            .replace(/s/ig, String(time.Second))
            .replace(/fff/ig, String(time.Millisecond));
    };
    //将秒转换为00:00:00格式
    UtilsProvider.formatTime = function (second) {
        var hh = Math.floor(second / 3600);
        var other = second % 3600;
        var mm = Math.floor(other / 60);
        var ss = Math.floor(other % 60);
        var hour = hh < 10 ? ('0' + hh.toString()) : hh.toString();
        var minute = mm < 10 ? ('0' + mm.toString()) : mm.toString();
        var seconds = ss < 10 ? ('0' + ss.toString()) : ss.toString();
        var result;
        // if (hour == "00") {
        //   result = minute + ":" + seconds;
        // } else {
        result = hour + ":" + minute + ":" + seconds;
        // }
        return result;
    };
    //身份证验证
    UtilsProvider.prototype.identityCodeValid = function (code) {
        var city = { 11: "北京", 12: "天津", 13: "河北", 14: "山西", 15: "内蒙古", 21: "辽宁", 22: "吉林", 23: "黑龙江 ", 31: "上海", 32: "江苏", 33: "浙江", 34: "安徽", 35: "福建", 36: "江西", 37: "山东", 41: "河南", 42: "湖北 ", 43: "湖南", 44: "广东", 45: "广西", 46: "海南", 50: "重庆", 51: "四川", 52: "贵州", 53: "云南", 54: "西藏 ", 61: "陕西", 62: "甘肃", 63: "青海", 64: "宁夏", 65: "新疆", 71: "台湾", 81: "香港", 82: "澳门", 91: "国外 " };
        var tip = "";
        var pass = true;
        if (!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(code)) {
            tip = "身份证号格式错误！";
            pass = false;
        }
        else if (!city[code.substr(0, 2)]) {
            tip = "身份证地址编码错误！";
            pass = false;
        }
        else {
            //18位身份证需要验证最后一位校验位
            if (code.length == 18) {
                code = code.split('');
                //∑(ai×Wi)(mod 11)
                //加权因子
                var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
                //校验位
                var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
                var sum = 0;
                var ai = 0;
                var wi = 0;
                for (var i = 0; i < 17; i++) {
                    ai = code[i];
                    wi = factor[i];
                    sum += ai * wi;
                }
                // let last = parity[sum % 11];
                if (parity[sum % 11] != code[17]) {
                    tip = "身份证校验位错误！";
                    pass = false;
                }
            }
        }
        if (!pass)
            this.alertService.showAlert(tip);
        return pass;
    };
    //电子邮箱验证
    UtilsProvider.prototype.isEmail = function (email_Str) {
        var tip = "";
        var pass = true;
        var reg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
        if (!reg.test(email_Str)) {
            tip = "电子邮箱格式错误！";
            pass = false;
        }
        if (!pass)
            this.alertService.showAlert(tip);
        return pass;
    };
    //手机号码验证
    UtilsProvider.prototype.isMobileNum = function (Mobile_Num_Str) {
        var tip = "";
        var pass = true;
        var reg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
        if (!reg.test(Mobile_Num_Str)) {
            tip = "手机号码格式错误！";
            pass = false;
        }
        if (!pass)
            this.alertService.showAlert(tip);
        return pass;
    };
    //长度验证
    UtilsProvider.prototype.checkLength = function (str, minLength, maxLength) {
        var tip = "";
        var pass = true;
        str = str.trim();
        if (str.length < minLength) {
            tip = "最小长度不能小于" + minLength + "位！";
            pass = false;
        }
        else if (str.length > maxLength) {
            tip = "最大长度不能超过" + maxLength + "位！";
            pass = false;
        }
        if (!pass)
            this.alertService.showAlert(tip);
        return pass;
    };
    //密码规则验证
    UtilsProvider.prototype.checkPwd = function (password) {
        var tip = "";
        var pass = true;
        var reg = /^(?=.*[0-9].*)(?=.*[a-zA-Z].*).{8,20}$/;
        if (!reg.test(password)) {
            tip = "密码中必须包含字母和数字！";
            pass = false;
        }
        if (!pass)
            this.alertService.showAlert(tip);
        return pass;
    };
    //检测用户是否已登录
    UtilsProvider.prototype.checkLogin = function () {
        if (this.globalData.getIsLogined() == true) {
            return true;
        }
        else {
            return false;
        }
    };
    //检测网络
    UtilsProvider.prototype.checkNetwork = function () {
        if (this.network.type === "unknown") {
            console.log('This is a unknown network, please be careful!');
        }
        else if (this.network.type === "none") {
            this.alertService.showToast('当前网络不可用，请检测网络设置！', 2000, 'bottom');
        }
        else {
            console.log('we got a ' + this.network.type + ' connection, woohoo!');
        }
    };
    //app内打开外部链接
    UtilsProvider.prototype.openBrowser = function (url, title, action) {
        var options = {
            statusbar: {
                color: '#0490E2'
            },
            title: {
                color: '#ffffffff',
                showPageTitle: true,
                staticText: title
            },
            backButton: {
                wwwImage: 'assets/imgs/back.png',
                wwwImagePressed: 'assets/imgs/back_pressed.png',
                wwwImageDensity: 2,
                align: 'left',
                event: 'backPressed'
            },
            toolbar: {
                height: 44,
                color: '#0490E2'
            },
            backButtonCanClose: true
        };
        var browser = this.themeableBrowser.create(url, '_blank', options);
        browser.on("backPressed").subscribe(function (res) {
            action;
        });
    };
    //验证token是否已经超时，超时的话回到登录界面，清空用户信息。
    UtilsProvider.prototype.checkToken = function (error, navCtrl) {
        var _this = this;
        if (error.indexOf('token') > -1 || error.indexOf('失效') > -1) {
            this.globalData.setIsLogined(false);
            this.alertService.showComfirm("提示", "登录已超时或已在其他终端登录，请重新登录！", "取消", "确定").then(function (res) {
                if (res) {
                    var modal = _this.modalCtrl.create('LoginPage'); //可带参数
                    modal.present();
                    modal.onDidDismiss(function () {
                        navCtrl.popToRoot();
                    });
                }
                else {
                    navCtrl.popToRoot();
                }
            });
        }
        else {
            this.alertService.showAlert(error);
        }
    };
    //获取下载课件的文件后缀
    UtilsProvider.prototype.getFileType = function (path) {
        var index1 = path.lastIndexOf(".");
        var index2 = path.length;
        var type = path.substring(index1, index2);
        return type;
    };
    //根据身份证号获取出生日期
    UtilsProvider.prototype.getUserBrithday = function (idCard) {
        var birthday = "";
        if (idCard != null && idCard != "") {
            if (idCard.length == 15) {
                birthday = "19" + idCard.substr(6, 6);
            }
            else if (idCard.length == 18) {
                birthday = idCard.substr(6, 8);
            }
            birthday = birthday.replace(/(.{4})(.{2})/, "$1-$2-");
        }
        else {
            birthday = "";
        }
        return birthday;
    };
    UtilsProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__globaldata_globaldata__["a" /* GlobaldataProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_themeable_browser__["a" /* ThemeableBrowser */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */]])
    ], UtilsProvider);
    return UtilsProvider;
}());

//# sourceMappingURL=utils.js.map

/***/ }),

/***/ 167:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/about/about.module": [
		299,
		32
	],
	"../pages/add-course-list/add-course-list.module": [
		300,
		4
	],
	"../pages/course-choose/course-choose.module": [
		301,
		31
	],
	"../pages/course-list/course-list.module": [
		302,
		30
	],
	"../pages/course-study/course-study.module": [
		303,
		3
	],
	"../pages/credit/credit.module": [
		304,
		29
	],
	"../pages/discover/discover.module": [
		305,
		28
	],
	"../pages/download-info/download-info.module": [
		306,
		27
	],
	"../pages/examination/examination.module": [
		307,
		26
	],
	"../pages/feedback/feedback.module": [
		309,
		25
	],
	"../pages/home/home.module": [
		308,
		24
	],
	"../pages/homework/homework.module": [
		310,
		23
	],
	"../pages/iframe-url/iframe-url.module": [
		311,
		22
	],
	"../pages/index-popover/index-popover.module": [
		312,
		21
	],
	"../pages/local-course/local-course.module": [
		313,
		20
	],
	"../pages/local-courseware/local-courseware.module": [
		314,
		19
	],
	"../pages/login/login.module": [
		315,
		18
	],
	"../pages/modify-info/modify-info.module": [
		316,
		17
	],
	"../pages/my-exam/my-exam.module": [
		317,
		16
	],
	"../pages/mycenter/mycenter.module": [
		318,
		15
	],
	"../pages/mycourse-list/mycourse-list.module": [
		319,
		2
	],
	"../pages/myplan-list/myplan-list.module": [
		320,
		1
	],
	"../pages/notice-detail/notice-detail.module": [
		321,
		14
	],
	"../pages/pay-info/pay-info.module": [
		323,
		13
	],
	"../pages/payment/payment.module": [
		322,
		0
	],
	"../pages/person-info/person-info.module": [
		324,
		12
	],
	"../pages/personal/personal.module": [
		325,
		11
	],
	"../pages/plan-detail/plan-detail.module": [
		326,
		10
	],
	"../pages/plan-list/plan-list.module": [
		327,
		9
	],
	"../pages/register/register.module": [
		328,
		8
	],
	"../pages/resetpwd/resetpwd.module": [
		329,
		7
	],
	"../pages/search/search.module": [
		330,
		6
	],
	"../pages/settings/settings.module": [
		331,
		5
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 167;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 21:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobaldataProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/*
   放置全局需使用的数据
*/
var GlobaldataProvider = /** @class */ (function () {
    function GlobaldataProvider() {
    }
    GlobaldataProvider.prototype.setToken = function (value) {
        this.token = value;
    };
    GlobaldataProvider.prototype.getToken = function () {
        return this.token;
    };
    GlobaldataProvider.prototype.setUserInfo = function (value) {
        this.userInfo = value;
    };
    GlobaldataProvider.prototype.getUserInfo = function () {
        return this.userInfo;
    };
    GlobaldataProvider.prototype.setIsLogined = function (value) {
        this.isLogined = value;
    };
    GlobaldataProvider.prototype.getIsLogined = function () {
        return this.isLogined;
    };
    GlobaldataProvider.prototype.setUserID = function (value) {
        this.userID = value;
    };
    GlobaldataProvider.prototype.getUserID = function () {
        return this.userID;
    };
    GlobaldataProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])()
    ], GlobaldataProvider);
    return GlobaldataProvider;
}());

//# sourceMappingURL=globaldata.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_utils_backbutton_service__ = __webpack_require__(213);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var TabsPage = /** @class */ (function () {
    function TabsPage(platform, backBtnProvider) {
        this.platform = platform;
        this.backBtnProvider = backBtnProvider;
        this.tab1Root = "HomePage";
        this.tab2Root = 'PlanListPage';
        this.tab3Root = 'DiscoverPage';
        this.tab4Root = 'PersonalPage';
    }
    TabsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        //this.listenEvents();
        //安卓中处理返回键
        this.platform.ready().then(function () {
            _this.backBtnProvider.registerBackButtonAction(_this.tabRef);
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('mainTabs'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* Tabs */])
    ], TabsPage.prototype, "tabRef", void 0);
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\tabs\tabs.html"*/'<ion-tabs #mainTabs>\n  <ion-tab [root]="tab1Root" tabTitle="首页" tabIcon="ios-home"></ion-tab>\n  <ion-tab [root]="tab2Root" tabTitle="选计划" tabIcon="list-box"></ion-tab>\n  <ion-tab [root]="tab3Root" tabTitle="资讯" tabIcon="disc"></ion-tab>\n  <ion-tab [root]="tab4Root" tabTitle="我的" tabIcon="ios-person"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\tabs\tabs.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__providers_utils_backbutton_service__["a" /* BackbuttonProvider */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BackbuttonProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__ = __webpack_require__(110);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/*
  Generated class for the BackbuttonserviceProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var BackbuttonProvider = /** @class */ (function () {
    function BackbuttonProvider(platform, screenOrientation, appCtrl, keyboard, alertService) {
        this.platform = platform;
        this.screenOrientation = screenOrientation;
        this.appCtrl = appCtrl;
        this.keyboard = keyboard;
        this.alertService = alertService;
    }
    BackbuttonProvider.prototype.registerBackButtonAction = function (tabRef) {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            if (_this.keyboard.isOpen()) {
                _this.keyboard.close();
                return;
            }
            var activeNav = _this.appCtrl.getActiveNavs()[0];
            if (activeNav.canGoBack()) {
                if (_this.screenOrientation.type == 'landscape-primary') {
                    _this.screenOrientation.lock(_this.screenOrientation.ORIENTATIONS.PORTRAIT);
                }
                else {
                    activeNav.pop();
                }
            }
            else {
                if (tabRef == null || tabRef._selectHistory[tabRef._selectHistory.length - 1] === tabRef.getByIndex(0).id) {
                    //执行退出
                    _this.showExit();
                }
                else {
                    //选择首页第一个的标签
                    tabRef.select(0);
                }
            }
        });
    };
    //双击退出提示框
    BackbuttonProvider.prototype.showExit = function () {
        var _this = this;
        this.alertService.showComfirm('退出应用？', "确定退出满洲里继教平台？", '取消', '退出').then(function (value) {
            if (value) {
                _this.platform.exitApp();
            }
        });
    };
    BackbuttonProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* Keyboard */], __WEBPACK_IMPORTED_MODULE_2__alert_service__["a" /* AlertService */]])
    ], BackbuttonProvider);
    return BackbuttonProvider;
}());

//# sourceMappingURL=backbutton.service.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DataProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  未选课程数据，我的课程，选课等等数据交互服务,根据需要扩展方法
*/
var DataProvider = /** @class */ (function () {
    function DataProvider(httpProvider, globalData, utilsProvider, alertService) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.utilsProvider = utilsProvider;
        this.alertService = alertService;
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
        console.log('Hello DataProvider Provider');
    }
    //登录情况下分页获取选课列表
    DataProvider.prototype.getCourseList = function (isChoosed, keyWord, ipage) {
        var _this = this;
        var ipsize = 10;
        var datas;
        var courseListUrl = this.cfg.apiUrl + this.cfg.courseAPI.courseList;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            ichoosed: isChoosed,
            kw: keyWord,
            ipage: ipage,
            ipsize: ipsize
        };
        var promise = this.httpProvider.post(courseListUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: res.pageData
                };
            }
            else {
                _this.alertService.showAlert("暂无任何课程！");
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
        });
        return promise;
    };
    //未登录情况下获取选课列表
    DataProvider.prototype.getunLoginCourseList = function (keyWord, ipage, isNewest, isHotest, randType, typeCode) {
        var _this = this;
        var ipsize = 10;
        var datas;
        var courseListUrl = this.cfg.apiUrl + this.cfg.courseAPI.unLogin_courseList;
        var all_courses;
        var params = {
            Keywords: keyWord,
            Currentpage: ipage,
            PageSize: ipsize,
            IsNewest: isNewest,
            IsHotest: isHotest,
            RandType: randType,
            TypeCode: typeCode
        };
        var promise = this.httpProvider.post(courseListUrl, params).then(function (res) {
            if (res.result == 1) {
                all_courses = _this.setCourses(res.pageData);
                datas = {
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: all_courses
                };
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
        });
        return promise;
    };
    //获取所有学习计划列表
    DataProvider.prototype.getPlanList = function (keyWord, ipage, isNewest, isHotest, randType, typeCode, year) {
        var _this = this;
        var ipsize = 12;
        var datas;
        var planListUrl = this.cfg.apiUrl + this.cfg.courseAPI.allPlans;
        var params = {
            Keywords: keyWord,
            currentPage: ipage,
            pageSize: ipsize,
            isNewest: isNewest,
            IsHotest: isHotest,
            randtype: randType,
            typecode: typeCode,
            Year: year,
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID()
        };
        var promise = this.httpProvider.post(planListUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: res.pageData
                };
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
        });
        return promise;
    };
    //分页获取我的课程列表
    DataProvider.prototype.getMyCourseList = function (ipage, isPass) {
        var _this = this;
        var myCourses;
        var ipsize = 10;
        var datas;
        var myCourseUrl = this.cfg.apiUrl + this.cfg.courseAPI.myCourseList;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            ipage: ipage,
            ipsize: ipsize,
            Ispass: isPass
        };
        var promise = this.httpProvider.post(myCourseUrl, params).then(function (res) {
            if (res.result == 1) {
                myCourses = _this.setCourses(res.pageData);
                datas = {
                    result: 1,
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: myCourses
                };
            }
            else {
                //this.alertService.showAlert(res.message);  
                datas = {
                    result: 0,
                    content: res.message
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //分页获取我的学习计划列表
    DataProvider.prototype.getMyPlanList = function (ipage, keyword, year) {
        var _this = this;
        var ipsize = 15;
        var datas;
        var myPlanUrl = this.cfg.apiUrl + this.cfg.courseAPI.myPlans;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            pageIndex: ipage,
            pageSize: ipsize,
            keywords: keyword,
            year: year
        };
        var promise = this.httpProvider.post(myPlanUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    result: 1,
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    plans: res.pageData
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.content
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //分页获取添加课程的课程列表
    DataProvider.prototype.getAddCourseList = function (ipage, planID, courseName) {
        var _this = this;
        var ipsize = 10;
        var datas;
        var myPlanUrl = this.cfg.apiUrl + this.cfg.courseAPI.addCourses;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            pageIndex: ipage,
            pageSize: ipsize,
            planId: planID,
            CourseName: courseName
        };
        var promise = this.httpProvider.post(myPlanUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    result: 1,
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: res.pageData
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.message
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //选课
    DataProvider.prototype.chooseCourse = function (planID, courseID) {
        var _this = this;
        var chooseCoruseUrl = this.cfg.apiUrl + this.cfg.courseAPI.chooseCourse;
        var params = {
            token: this.globalData.getToken(),
            courseId: courseID,
            planId: planID,
            uid: this.globalData.getUserID()
        };
        this.alertService.showLoading("选课中");
        var promise = this.httpProvider.post(chooseCoruseUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            return res;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
        });
        return promise;
    };
    //分页获取计划对应的课程列表
    DataProvider.prototype.getPlanCourseList = function (ipage, planID, isPass) {
        var _this = this;
        var ipsize = 15;
        var datas;
        var myPlanCourseUrl = this.cfg.apiUrl + this.cfg.courseAPI.planCourses;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            pageIndex: ipage,
            pageSize: ipsize,
            planID: planID,
            IsPass: isPass
        };
        var promise = this.httpProvider.post(myPlanCourseUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    result: 1,
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    courses: res.pageData
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.content
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //分页获取我的订单列表
    DataProvider.prototype.getMyOrderList = function (ipage, isPay) {
        var _this = this;
        var ipsize = 15;
        var datas;
        var myPlanCourseUrl = this.cfg.apiUrl + this.cfg.courseAPI.myOrders;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            CurrentPage: ipage,
            pageSize: ipsize,
            PaySuccess: isPay
        };
        var promise = this.httpProvider.post(myPlanCourseUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    result: 1,
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    orders: res.pageData
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.content
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //判断用户是否有支付中的订单
    DataProvider.prototype.hasOrderPaying = function (payID) {
        var _this = this;
        var payingUrl = this.cfg.apiUrl + this.cfg.courseAPI.hasPaying;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            PayId: payID
        };
        var promise = this.httpProvider.post(payingUrl, params).then(function (res) {
            return res;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //提交订单信息
    DataProvider.prototype.submitOrderInfo = function (orderInfo) {
        var _this = this;
        var orderInfoUrl = this.cfg.apiUrl + this.cfg.courseAPI.payOrderInfo;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            paytype: 0,
            PayMentID: orderInfo.payWay,
            PbType: orderInfo.getways,
            PostTitleType: orderInfo.invoice_attr,
            InvoiceTitle: orderInfo.invoice_title,
            CompanyCode: orderInfo.code,
            PostBookAddress: orderInfo.address,
            PostBookAddrPC: orderInfo.mailCode,
            PostBookContactUser: orderInfo.username,
            PostBookContactPhone: orderInfo.phoneNum,
            Email: orderInfo.email,
            Name: orderInfo.userRealName,
            IdCard: orderInfo.IDCard,
            StudentPayCount: orderInfo.price,
            payID: orderInfo.orderNum //订单编号     
        };
        var promise = this.httpProvider.post(orderInfoUrl, params).then(function (res) {
            return res;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //获取课程类型分类
    DataProvider.prototype.getCourseTypes = function () {
        var _this = this;
        var courseTypesUrl = this.cfg.apiUrl + this.cfg.courseAPI.courseTypes;
        var datas;
        var promise = this.httpProvider.get(courseTypesUrl).then(function (res) {
            if (res.result == 1) {
                datas = res.pageData;
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return datas;
        }, function (error) {
            console.log(error);
        });
        return promise;
    };
    //登录情况下获取某个课程详情
    DataProvider.prototype.getCourseDetail = function (courseID) {
        var _this = this;
        var courseDetailUrl = this.cfg.apiUrl + this.cfg.courseAPI.courseDetail;
        var params = { token: this.globalData.getToken(), uid: this.globalData.getUserID(), courseId: courseID };
        var datas;
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(courseDetailUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                datas = { result: 1, classCourse: _this.setClassCourse(res.data.ClassCourse, res.data.ClassCourse.ClassId, res.data.HasChoosed), courseWare: _this.setCoursewares(res.data.MyCourseWareDetail) };
            }
            else {
                // this.utilsProvider.checkToken(res.message);
                datas = {
                    result: 0,
                    content: res.message
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    //未登录情况下获取某个课程详情
    DataProvider.prototype.getCoursePreview = function (courseID) {
        var _this = this;
        var coursePreviewlUrl = this.cfg.apiUrl + this.cfg.courseAPI.unLogin_courseDetail;
        var params = { courseId: courseID, Token: this.globalData.getToken(), Uid: this.globalData.getUserID() };
        var datas;
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(coursePreviewlUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                datas = { classCourse: _this.setClassCourse(res.data.Course, res.data.ClassId, res.data.HasChoosed), courseWare: _this.setCoursewares(res.data.Coursewares) };
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    //未登录情况下获取某个学习计划详情
    DataProvider.prototype.getPlanDetail = function (planID) {
        var _this = this;
        var planDetailUrl = this.cfg.apiUrl + this.cfg.courseAPI.planDetail;
        var params = { PlanId: planID,
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID() };
        var datas;
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(planDetailUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                datas = res.data;
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    DataProvider.prototype.setClassCourse = function (classCourse, classID, HasChoosed) {
        return this.calssCourse = {
            ID: classCourse.Id,
            classID: classID,
            className: classCourse.ClassName,
            courseID: classCourse.CourseId,
            courseName: classCourse.CourseName,
            timeRequest: classCourse.TimeReq,
            courseImgUrl: classCourse.CourseCover,
            startTime: classCourse.StartTime,
            endTime: classCourse.EndTime,
            credit: classCourse.Rand,
            courseType: classCourse.RandName,
            orgName: classCourse.Orgname,
            reqTimeTotal: classCourse.TimeReqSecToMinuteStr,
            reqCoursewareNum: classCourse.CoursewareReq,
            userFinished: classCourse.DefCWCount,
            courseIntro: classCourse.CourseIntr1_Content,
            courseIntroName: classCourse.CourseIntr1_Name,
            courseTeacher: classCourse.CourseTeacher,
            teacherIntro: classCourse.CourseIntr2_Content,
            teacherIntroName: classCourse.CourseIntr2_Name,
            applyYear: classCourse.ExtYear,
            tag: classCourse.Tag,
            isChoosed: HasChoosed,
            hasDownload: false
        };
    };
    DataProvider.prototype.setCoursewares = function (datas) {
        this.coursewares = [];
        for (var i = 0; i < datas.length; i++) {
            this.coursewares.push({
                ID: datas[i].ID,
                coursewareType: datas[i].ContentType,
                coursewareUrl: datas[i].ContentUrl,
                coursewareName: datas[i].CourseWareName,
                isFinished: datas[i].isFinished,
                readTime: datas[i].LastPosition,
                learnedTime: datas[i].LearnTimeSecond,
                reqTime: datas[i].YxscSec,
                mediaUrl: datas[i].MediaUrl,
                isLastActived: datas[i].IsLastActived,
                index: i + 1,
                medias: datas[i].Medias,
                mediaIndex: datas[i].MediaIndex,
                durations: datas[i].Durations
            });
        }
        return this.coursewares;
    };
    //选课
    DataProvider.prototype.doChoose = function (classID, courseID) {
        var _this = this;
        var chooseCoruseUrl = this.cfg.apiUrl + this.cfg.courseAPI.chooseCourse;
        var params = {
            token: this.globalData.getToken(),
            courseId: courseID,
            classID: classID,
            UID: this.globalData.getUserID()
        };
        this.alertService.showLoading("选课中");
        var promise = this.httpProvider.post(chooseCoruseUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            return res;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
        });
        return promise;
    };
    //激活学习计划
    DataProvider.prototype.doChoosePlan = function (planID) {
        var _this = this;
        var choosePlanUrl = this.cfg.apiUrl + this.cfg.courseAPI.choosePlan;
        var params = {
            token: this.globalData.getToken(),
            planId: planID,
            uid: this.globalData.getUserID()
        };
        this.alertService.showLoading("激活中");
        var promise = this.httpProvider.post(choosePlanUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            return res;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
        });
        return promise;
    };
    //上传视频学习记录
    DataProvider.prototype.uploadRecord = function (coursewareID, classID, courseID, action, key, currenTime) {
        var uploadRecordUrl = this.cfg.apiUrl + this.cfg.courseAPI.studyRecord;
        var params = {
            "token": this.globalData.getToken(),
            "uid": this.globalData.getUserID(),
            "CoursewareId": coursewareID,
            "ClassId": classID,
            "CourseId": courseID,
            "Act": action,
            "Key": key,
            "Position": currenTime
        };
        var promise = this.httpProvider.post(uploadRecordUrl, params).then(function (res) {
            return res;
        }, function (error) {
            return error;
        });
        return promise;
    };
    //单位搜索
    DataProvider.prototype.searchOrz = function (searchStr) {
        var _this = this;
        var searchOrzUrl = this.cfg.apiUrl + this.cfg.courseAPI.orzSearch;
        var params = { departmentName: searchStr, pageIndex: 1, PageSize: 50 };
        var promise = this.httpProvider.post(searchOrzUrl, params).then(function (res) {
            if (res.result == 1) {
                if (res.data.Data.length > 0) {
                    return res.data.Data; //[{DepartmentId:"d9e73ef4-5981-4cbf-511f-08d51c456bf2" ,DepartmentName:"测试单位2"}]
                }
                else {
                    _this.alertService.showToast('无搜索结果', 2000, 'middle');
                }
            }
            else {
                _this.alertService.showAlert(res.message);
            }
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //将从服务端获取的数据，转化为course model形式
    DataProvider.prototype.setCourses = function (datas) {
        this.courses = [];
        for (var i = 0; i < datas.length; i++) {
            this.courses.push({
                ID: datas[i].Id,
                courseID: datas[i].CourseId,
                courseName: datas[i].CourseName,
                imgUrl: datas[i].CourseCover,
                credit: datas[i].Rand,
                intro: datas[i].CourseIntr1_Content,
                duration: datas[i].TimeReq,
                isPassed: datas[i].IsPass,
                Type: datas[i].Type
            });
        }
        return this.courses;
    };
    DataProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */],
            __WEBPACK_IMPORTED_MODULE_3__utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__["a" /* AlertService */]])
    ], DataProvider);
    return DataProvider;
}());

//# sourceMappingURL=data.service.js.map

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StorageProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_storage__ = __webpack_require__(170);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
 本地数据操作，API详情参考https://ionicframework.com/docs/storage/
*/
var StorageProvider = /** @class */ (function () {
    function StorageProvider(storage) {
        this.storage = storage;
        console.log('Hello StorageProvider Provider');
    }
    StorageProvider.prototype.setLocalData = function (key, data) {
        var newData = JSON.stringify(data);
        this.storage.set(key, newData);
    };
    //在使用页面import StorageProvider ,this.storageProvider.getLoaclData(key).then((value)=>{ value });
    StorageProvider.prototype.getLocalData = function (key) {
        return this.storage.get(key);
    };
    StorageProvider.prototype.rmLocalData = function (key) {
        this.storage.remove(key);
    };
    StorageProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_storage__["b" /* Storage */]])
    ], StorageProvider);
    return StorageProvider;
}());

//# sourceMappingURL=storage.service.js.map

/***/ }),

/***/ 216:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserServiceProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
用户数据交互服务、包括注册、登录、注销、重置密码、修改资料等.
*/
var UserServiceProvider = /** @class */ (function () {
    function UserServiceProvider(httpProvider, alertService, globalData, utilsProvider) {
        this.httpProvider = httpProvider;
        this.alertService = alertService;
        this.globalData = globalData;
        this.utilsProvider = utilsProvider;
        console.log('Hello UserServiceProvider Provider');
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
    }
    UserServiceProvider.prototype.login = function (username, password) {
        var _this = this;
        var loginUrl = this.cfg.apiUrl + this.cfg.userAPI.login;
        var userInfo = JSON.stringify({ UserName: username, Password: password });
        var body = { data: userInfo };
        this.alertService.showLoading("登录中");
        var promise = this.httpProvider.post(loginUrl, body).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.globalData.setToken(res.token);
                _this.globalData.setUserID(res.userInfo.ID);
                _this.globalData.setIsLogined(true);
                _this.setUserInfo(res.userInfo);
            }
            else {
                _this.alertService.showAlert(res.content);
            }
            ;
            return res.result;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
        });
        return promise;
    };
    UserServiceProvider.prototype.register = function (registerData) {
        var _this = this;
        var registerUrl = this.cfg.apiUrl + this.cfg.userAPI.register;
        var params = {
            "A0101": registerData.user_realname,
            "A0177": registerData.userID_card,
            "B0105": registerData.departmentName,
            "B0155": "15,1507,150781",
            "B0155M": "内蒙古自治区呼伦贝尔市满洲里市",
            "Sex": registerData.sex,
            "DepartmentId": registerData.departmentID,
            "WorkUnit": "",
            "Nation": registerData.nation,
            "PGQK": registerData.pgqk,
            "BZQK": registerData.bzqk,
            "Duties": registerData.zw,
            "ProfessionalTitle": registerData.xyzc,
            "ProfessionalTitleTime": registerData.zcgetTime,
            "Mobile": registerData.telephoneNum,
            "Email": registerData.email,
            "Username": registerData.username,
            "PassWord": registerData.password,
            "Question": registerData.question,
            "Anwser": registerData.answer,
            "RePassword": registerData.confirm_password,
            "IsAPP": true
        };
        this.alertService.showLoading("注册中");
        var promise = this.httpProvider.post(registerUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.alertService.showToast("注册成功", 2000, "middle");
            }
            else {
                _this.alertService.showAlert(res.content);
            }
            return res.result;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //注销当前用户
    UserServiceProvider.prototype.logout = function () {
        var _this = this;
        var logoutUrl = this.cfg.apiUrl + this.cfg.userAPI.logout;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID()
        };
        this.alertService.showLoading("注销中");
        var promise = this.httpProvider.post(logoutUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            // if (res.result == 1) {
            _this.globalData.setIsLogined(false);
            // }else{
            //   this.alertService.showAlert(res.content);       
            // }
            return res.result;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //修改用户资料
    UserServiceProvider.prototype.modifyUserInfo = function (userInfo, navCtrl) {
        var _this = this;
        var modifyUrl = this.cfg.apiUrl + this.cfg.userAPI.modifyPersonInfo;
        var params = {
            "token": this.globalData.getToken(),
            "uid": userInfo.userID,
            "Email": userInfo.email,
            "department": userInfo.department,
            "Mobile": userInfo.mobileNum,
            "DepartmentId": userInfo.departmentID,
            "Name": userInfo.userRealName,
            "Nation": userInfo.nation,
            "Duties": userInfo.zw,
            "WorkUnit": "",
            "ProfessionalTitle": userInfo.xyzc,
            "ProfessionalTitleTime": userInfo.zcgetTime,
            "PGQK": userInfo.pgqk,
            "BZQK": userInfo.bzqk,
            "B0105": userInfo.department,
            "B0155": "15,1507,150781",
            "B0155M": "内蒙古自治区呼伦贝尔市满洲里市",
        };
        this.alertService.showLoading("保存中");
        var promise = this.httpProvider.post(modifyUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.alertService.showToast("修改成功", 2000, "middle");
            }
            else {
                //this.alertService.showAlert(res.message);
                _this.utilsProvider.checkToken(res.message, navCtrl);
            }
            return res;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    UserServiceProvider.prototype.reSetPwd = function (step, info) {
        var _this = this;
        var reSetPwdUrl = "";
        var alertStr = "验证中";
        var dealData = {};
        if (step == 1) {
            reSetPwdUrl = this.cfg.apiUrl + this.cfg.userAPI.checkAccount;
        }
        else if (step == 2) {
            reSetPwdUrl = this.cfg.apiUrl + this.cfg.userAPI.checkQuestion;
        }
        else {
            reSetPwdUrl = this.cfg.apiUrl + this.cfg.userAPI.resetPassword;
            alertStr = "修改中";
        }
        this.alertService.showLoading(alertStr);
        var promise = this.httpProvider.post(reSetPwdUrl, info).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                if (res.data) {
                    dealData = {
                        result: 1,
                        question: res.data.question,
                        username: res.data.UserName,
                        userID: res.data.ID
                    };
                }
                else {
                    dealData = {
                        result: 1
                    };
                }
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return dealData;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    UserServiceProvider.prototype.setUserInfo = function (userInfo) {
        var userBrithday = this.utilsProvider.getUserBrithday(userInfo.A0177);
        this.user = {
            userID: userInfo.ID,
            userRealName: userInfo.A0101,
            account: userInfo.UserName,
            userID_card: userInfo.A0177,
            email: userInfo.email,
            mobileNum: userInfo.mobile,
            question: userInfo.question,
            answer: userInfo.answer,
            sex: userInfo.Sex,
            departmentID: userInfo.DepartmentId,
            department: userInfo.DepartmentName,
            nation: userInfo.Nation,
            zw: userInfo.Duties,
            xyzc: userInfo.ProfessionalTitle,
            zcgetTime: userInfo.ProfessionalTitleTime,
            pgqk: userInfo.PGQK,
            bzqk: userInfo.BZQK,
            regionCode: userInfo.B0155,
            region: userInfo.B0155M,
            brithday: userBrithday
        };
        this.globalData.setUserInfo(this.user);
    };
    UserServiceProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__utils_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_3__globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_utils__["a" /* UtilsProvider */]])
    ], UserServiceProvider);
    return UserServiceProvider;
}());

//# sourceMappingURL=user.service.js.map

/***/ }),

/***/ 217:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeDataProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the HomeDataProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var HomeDataProvider = /** @class */ (function () {
    function HomeDataProvider(httpProvider, globalData, utilsProvider, alertService) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.utilsProvider = utilsProvider;
        this.alertService = alertService;
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
    }
    //获取首页轮播图片
    HomeDataProvider.prototype.getHomePicData = function () {
        var homePicUrl = this.cfg.apiUrl + this.cfg.otherAPI.homepic;
        var promise = this.httpProvider.post(homePicUrl).then(function (res) {
            if (res.result == 1) {
                return res.pageData;
            }
            else {
                return null;
            }
        }, function (error) {
            //this.alertService.showAlert(error);
            var errorData = [{ ID: "1", PicURL: "assets/imgs/slides/imgloadfail_home.jpg" },
                { ID: "2", PicURL: "assets/imgs/slides/imgloadfail_home.jpg" },
                { ID: "3", PicURL: "assets/imgs/slides/imgloadfail_home.jpg" }];
            return errorData;
        });
        return promise;
    };
    HomeDataProvider.prototype.setHomePicDatas = function (datas) {
        this.homepictures = [];
        for (var i = 0; i < datas.length; i++) {
            this.homepictures.push({
                ID: datas[i].ID,
                Title: datas[i].Title,
                PicURL: datas[i].PicURL,
                GoURL: datas[i].GoURL,
                CourseID: datas[i].CourseID,
            });
        }
        return this.homepictures;
    };
    //获取发现公告数据
    HomeDataProvider.prototype.getNoticeList = function (ipage, type) {
        var _this = this;
        var ipsize = 10;
        var datas;
        var noticeListUrl = this.cfg.apiUrl + this.cfg.otherAPI.notice_list;
        var params = { pageIndex: ipage, pageSize: ipsize, type: type };
        var promise = this.httpProvider.get(noticeListUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    pageIndex: res.pageIndex,
                    pageSize: res.pageSize,
                    totalCount: res.totalCount,
                    pageCount: res.pageCount,
                    notices: _this.setNotices(res.pageData)
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
        });
        return promise;
    };
    //获取发现详情
    HomeDataProvider.prototype.getNoticeDetail = function (noticeID) {
        var _this = this;
        var noticeDetailUrl = this.cfg.apiUrl + this.cfg.otherAPI.notice_detail;
        var params = { Id: noticeID };
        var promise = this.httpProvider.get(noticeDetailUrl, params).then(function (res) {
            if (res.result == 1) {
                _this.notice = _this.setNotice(res.data);
            }
            return _this.notice;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //获取首页推荐课程、精品课程、热门课程等列表
    HomeDataProvider.prototype.getRecomCourseList = function (courseType) {
        var _this = this;
        var JPCoursesUrl = this.cfg.apiUrl + this.cfg.courseAPI.pushCourses;
        var params = { types: courseType }; //获取精品课程接口需修改调整,去除gtype参数
        var typeCourses;
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(JPCoursesUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                typeCourses = _this.setCourses(res.pageData);
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return typeCourses; //处理完数据后再返还给新的promise中，在页面逻辑中不用再处理
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //获取首页学习计划列表
    HomeDataProvider.prototype.getHomeTarinPlanList = function (courseType) {
        var _this = this;
        var homeTarinPlansUrl = this.cfg.apiUrl + this.cfg.courseAPI.homeTrainPlan;
        var params = { size: 8 };
        var homeTrainPlans;
        var promise = this.httpProvider.get(homeTarinPlansUrl, params).then(function (res) {
            if (res.result == 1) {
                homeTrainPlans = res.pageData;
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return homeTrainPlans; //处理完数据后再返还给新的promise中，在页面逻辑中不用再处理
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            //this.alertService.showAlert(error);
            return [];
        });
        return promise;
    };
    //将从服务端获取的数据，转化为course model形式
    HomeDataProvider.prototype.setCourses = function (datas) {
        this.courses = [];
        for (var i = 0; i < datas.length; i++) {
            this.courses.push({
                ID: datas[i].Id,
                courseID: datas[i].CourseId,
                courseName: datas[i].CourseName,
                imgUrl: datas[i].CourseCover,
                credit: datas[i].Rand,
                intro: datas[i].CourseIntr1_Content,
                duration: datas[i].TimeReq,
                isPassed: datas[i].IsPass,
                Type: datas[i].Type
            });
        }
        return this.courses;
    };
    HomeDataProvider.prototype.setNotices = function (datas) {
        this.notices = [];
        for (var i = 0; i < datas.length; i++) {
            this.notices.push({
                ID: datas[i].ID,
                sysID: datas[i].SysID,
                orgName: datas[i].OrgName,
                orgID: datas[i].OrgID,
                noticeTitle: datas[i].GongGaoTitle,
                typeName: datas[i].TypeName,
                notice_content: datas[i].GongGaoContent,
                operationUser: datas[i].OperationUser,
                createTime: (datas[i].CreateTime).substr(0, 10),
                updateTime: datas[i].UpdateTime,
                state: datas[i].State,
                isTop: datas[i].IsTop
            });
        }
        return this.notices;
    };
    HomeDataProvider.prototype.setNotice = function (data) {
        this.notice = {
            ID: data.ID,
            sysID: data.SysID,
            orgName: data.OrgName,
            orgID: data.OrgID,
            noticeTitle: data.GongGaoTitle,
            typeName: data.TypeName,
            notice_content: data.GongGaoContent,
            operationUser: data.OperationUser,
            createTime: data.CreateTime,
            updateTime: data.UpdateTime,
            state: data.State,
            isTop: data.IsTop
        };
        return this.notice;
    };
    HomeDataProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])() //首页数据交互服务
        ,
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */],
            __WEBPACK_IMPORTED_MODULE_3__utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__["a" /* AlertService */]])
    ], HomeDataProvider);
    return HomeDataProvider;
}());

//# sourceMappingURL=home.service.js.map

/***/ }),

/***/ 218:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OpenFileProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_file__ = __webpack_require__(46);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_opener__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file_transfer__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_permissions__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__alert_service__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the OpenPdfProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var OpenFileProvider = /** @class */ (function () {
    function OpenFileProvider(alertService, file, fileOpener, transfer, androidPermissions) {
        this.alertService = alertService;
        this.file = file;
        this.fileOpener = fileOpener;
        this.transfer = transfer;
        this.androidPermissions = androidPermissions;
        console.log('Hello OpenPdfProvider Provider');
        this.rootPath = this.file.externalRootDirectory + 'download_gzwcit/';
    }
    //打开doc、pdf、ppt、txt、wav、mp3等文件
    OpenFileProvider.prototype.open = function (url) {
        this.pdfName = url.substr(url.lastIndexOf('/') + 1);
        this.filePath = this.rootPath + this.pdfName;
        this.checkPermission(url);
    };
    OpenFileProvider.prototype.downloadFile = function (url) {
        var _this = this;
        this.alertService.showLoading('加载中...');
        var fileTransfer = this.transfer.create();
        fileTransfer.download(url, this.filePath).then(function () {
            _this.openFile(_this.filePath);
            _this.alertService.dismissLoading();
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert('文件加载失败，请稍后重试!');
            //console.log(error);
        });
    };
    OpenFileProvider.prototype.openFile = function (filePath) {
        var _this = this;
        this.checkFileType(filePath);
        this.fileOpener.open(filePath, this.mimeType).then(function () {
        }).catch(function (error) {
            _this.alertService.showAlert('打开文件失败!');
        });
    };
    OpenFileProvider.prototype.checkPermission = function (url) {
        var _this = this;
        this.androidPermissions.checkPermission(this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE).then(function (result) {
            if (result.hasPermission) {
                //有权限才打开本地文件
                _this.checkFileExist(url);
            }
            else {
                //无访问权限弹出提示框提醒用户
                _this.alertService.showComfirm('提示', '打开文件需要存储卡访问权限，是否授权程序访问存储卡？', '取消', '确定').then(function (value) {
                    if (value) {
                        _this.androidPermissions.requestPermission(_this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE).then(function (status) {
                            if (status.hasPermission) {
                                //打开本地文件
                                //有权限才打开本地文件
                                _this.checkFileExist(url);
                            }
                        });
                    }
                    else {
                        _this.alertService.showToast('未获取存储卡访问授权，无法打开文件！', 3000, 'middle');
                    }
                });
            }
            ;
        }, function (err) {
            //this.androidPermissions.requestPermission(this.androidPermissions.PERMISSION.WRITE_EXTERNAL_STORAGE);
            console.log(err);
        });
    };
    OpenFileProvider.prototype.checkFileType = function (filePath) {
        if (filePath.indexOf('pdf') != -1) {
            this.mimeType = 'application/pdf';
        }
        else if (filePath.indexOf('mp4') != -1) {
            this.mimeType = 'application/mp4';
        }
        else if (filePath.indexOf('png') != -1) {
            this.mimeType = 'image/png';
        }
        else if (filePath.indexOf('jpeg') != -1) {
            this.mimeType = 'image/jpeg';
        }
        else if (filePath.indexOf('jpg') != -1) {
            this.mimeType = 'image/jpeg';
        }
        else if (filePath.indexOf('bmp') != -1) {
            this.mimeType = 'image/bmp';
        }
        else if (filePath.indexOf('doc') != -1) {
            this.mimeType = 'application/msword';
        }
        else if (filePath.indexOf('docx') != -1) {
            this.mimeType = 'application/vnd.openxmlformats-officedocument.wordprocessingml.document';
        }
        else if (filePath.indexOf('xls') != -1) {
            this.mimeType = 'application/vnd.ms-excel application/x-excel';
        }
        else if (filePath.indexOf('xlsx') != -1) {
            this.mimeType = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet';
        }
        else if (filePath.indexOf('ppt') != -1) {
            this.mimeType = 'application/vnd.ms-powerpoint';
        }
        else if (filePath.indexOf('pptx') != -1) {
            this.mimeType = 'application/vnd.openxmlformats-officedocument.presentationml.presentation';
        }
        else if (filePath.indexOf('wav') != -1) {
            this.mimeType = 'audio/wav';
        }
        else if (filePath.indexOf('wma') != -1) {
            this.mimeType = 'audio/x-ms-wma';
        }
        else if (filePath.indexOf('txt') != -1) {
            this.mimeType = 'text/plain';
        }
        else if (filePath.indexOf('mp3') != -1) {
            this.mimeType = 'audio/mpeg';
        }
    };
    OpenFileProvider.prototype.checkFileExist = function (url) {
        var _this = this;
        this.file.checkFile(this.rootPath, this.pdfName).then(function (success) {
            //pdf文件存在，直接预览
            _this.openFile(_this.filePath);
        }, function (error) {
            //pdf文件不存在，下载文件
            _this.downloadFile(url);
        });
    };
    OpenFileProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5__alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_1__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_opener__["a" /* FileOpener */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_file_transfer__["a" /* FileTransfer */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_permissions__["a" /* AndroidPermissions */]])
    ], OpenFileProvider);
    return OpenFileProvider;
}());

//# sourceMappingURL=openFile.service.js.map

/***/ }),

/***/ 219:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExaminationProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the ExaminationServiceProvider provider.
  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var ExaminationProvider = /** @class */ (function () {
    function ExaminationProvider(httpProvider, globalData, utilsProvider, alertService) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.utilsProvider = utilsProvider;
        this.alertService = alertService;
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
        console.log('Hello HomeworkProvider');
    }
    //获取我的考试列表
    ExaminationProvider.prototype.getMyExamList = function (ipage, keyword) {
        var _this = this;
        var ipsize = 15;
        var datas;
        var myExamUrl = this.cfg.apiUrl + this.cfg.examAPI.myExams;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserInfo().userID,
            pageIndex: ipage,
            pageSize: ipsize,
            keywords: keyword
        };
        var promise = this.httpProvider.post(myExamUrl, params).then(function (res) {
            if (res.result == 1) {
                datas = {
                    result: 1,
                    pageIndex: res.data.PageIndex,
                    pageSize: res.data.PageSize,
                    totalCount: res.data.TotalCount,
                    pageCount: res.data.PageCount,
                    exams: res.data.Data
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.message
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    //获取考题数据
    ExaminationProvider.prototype.getExamination = function (examID, recordID) {
        var _this = this;
        var examinationUrl = this.cfg.apiUrl + this.cfg.examAPI.examination;
        var datas;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            ExamId: examID,
            RecordId: recordID
        };
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(examinationUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                var singleQues = res.data.Questions.CourseSLst; //单选题
                var mulQues = res.data.Questions.CourseMLst; //多选题
                var TFQues = res.data.Questions.CourseJLst; //判断题
                var examinationInfo = res.data.Examination; //试题信息
                var tempQuestions = [];
                tempQuestions = tempQuestions.concat(singleQues).concat(mulQues).concat(TFQues);
                _this.setexaminations(tempQuestions, examinationInfo);
                datas = {
                    result: 1,
                    questions: _this.examinations,
                    Examination: examinationInfo,
                    CreateTime: res.data.CreateTime,
                    StudentAnswers: res.data.StudentAnswers,
                    RecordID: res.data.ID
                };
            }
            else {
                datas = {
                    result: 0,
                    content: res.message
                };
            }
            return datas;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    //提交考题答案
    ExaminationProvider.prototype.subExamination = function (recordID, userAnswers) {
        var _this = this;
        var subExaminationUrl = this.cfg.apiUrl + this.cfg.examAPI.subExamination;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            recordId: recordID,
            answers: userAnswers
        };
        var paramsNew = { data: JSON.stringify(params) };
        this.alertService.showLoading("提交中");
        var promise = this.httpProvider.post(subExaminationUrl, paramsNew).then(function (res) {
            _this.alertService.dismissLoading();
            // if (res.result == 1) {
            //   //this.alertService.showToast(res.message, 3000, 'middle');
            // } else {
            _this.alertService.showAlert(res.message);
            // }
            return res.result;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    //每做一题临时提交考题答案
    ExaminationProvider.prototype.subExaminationTemp = function (recordID, userAnswers) {
        var subExaminationUrl = this.cfg.apiUrl + this.cfg.examAPI.subExaminationTemp;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            recordId: recordID,
            answers: userAnswers
        };
        var paramsNew = { data: JSON.stringify(params) };
        var promise = this.httpProvider.post(subExaminationUrl, paramsNew).then(function (res) {
            return res;
        }, function (error) {
            return error;
        });
        return promise;
    };
    ExaminationProvider.prototype.setexaminations = function (datas, examInfo) {
        this.examinations = [];
        var letters = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O"];
        var questionTypeName = "";
        var questionScore = "";
        for (var i = 0; i < datas.length; i++) {
            this.quesOptions = [];
            var questionTypeCode = datas[i].QuestionType;
            if (questionTypeCode == 1) {
                questionTypeName = "单选题";
                questionScore = examInfo.SingleScore;
            }
            else if (questionTypeCode == 2) {
                questionTypeName = "多选题";
                questionScore = examInfo.MultiScore;
            }
            else {
                questionTypeName = "判断题";
                questionScore = examInfo.JudgeScore;
            }
            for (var j = 0; j < datas[i].Options.length; j++) {
                this.quesOptions.push({
                    tag: letters[j],
                    quesOption: datas[i].Options[j],
                    selected: false //多选题中使用
                });
            }
            this.examinations.push({
                ID: datas[i].ID,
                index: i + 1,
                question: datas[i].Question,
                options: this.quesOptions,
                answer: datas[i].Answer,
                questionType: datas[i].QuestionType,
                typeName: questionTypeName,
                radioOptions: "radioOptions" + i,
                haveDone: false,
                score: questionScore
            });
        }
    };
    ExaminationProvider.prototype.setExamState = function (tag, ID) {
        var examStateUrl = this.cfg.apiUrl + this.cfg.examAPI.examState;
        var params = {
            examId: ID,
            doExamStatus: tag
        };
        var promise = this.httpProvider.post(examStateUrl, params).then(function (res) {
            return res;
        }, function (error) {
            return error;
        });
        return promise;
    };
    ExaminationProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */],
            __WEBPACK_IMPORTED_MODULE_3__utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__["a" /* AlertService */]])
    ], ExaminationProvider);
    return ExaminationProvider;
}());

//# sourceMappingURL=examination.service.js.map

/***/ }),

/***/ 22:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return cfg; });
/*
使用方法：在使用ts文件中import * as AppConfig from '../../app/app.config';
声明属性private cfg ，在构造函数this.cfg = APPCOnfig.cfg初始化后，通过cfg.apiUrl方式获取配置信息
*/
var cfg = {
    //apiUrl: 'http://192.168.63.16/Elearning.MZL.Student/',//测试
    //apiUrl:'http://hhpta.zgrsw.cn/Elearning.Nmg.Student/',
    apiUrl: 'http://mzl.zgrsw.cn/Elearning.MZL.Student/',
    app_Version: '1.0.8',
    error_string: '连接服务器失败，请稍后再试！',
    userAPI: {
        register: 'Account/RegistPost',
        login: 'Account/AppLogin',
        logout: 'Account/AppSignOut',
        checkAccount: "Account/ResetPasswordFirst",
        checkQuestion: "Account/ResetPasswordSecond",
        resetPassword: "Account/ResetPasswordThird",
        modifyPersonInfo: "Account/UpdateUserAPP"
    },
    courseAPI: {
        homeTrainPlan: 'Home/GetTrainPlanIndex',
        planDetail: "TrainPlan/GetPlanDetail",
        allPlans: "TrainPlan/GetTrainPlans",
        choosePlan: "StudentPlan/ChoosePlan",
        myPlans: "StudentPlan/GetTrainPlanPageByUserForAPP",
        addCourses: "StudentPlan/GetPlanCanChooseCoursePageListForAPP",
        planCourses: "StudentPlan/GetUserPlanCoursePageDataForAPP",
        myOrders: "Orders/GetOrdersForApp",
        hasPaying: "Pay/GetPayingState",
        payOrderInfo: "Pay/DoPayForAPP",
        pushCourses: 'Course/GetCoursesForIndex',
        coursePreview: 'Course/APPCoursePreview',
        courseList: 'Course/GetCoursesAPP',
        myCourseList: 'StudentCourse/MyCourseList',
        credit: 'StudentCourse/GetCredit',
        courseDetail: 'StudentCourse/GetCourseDetial',
        unLogin_courseDetail: 'Course/GetCourseDetailById',
        chooseCourseList: '',
        orzSearch: 'Department/GetDepartmentDictByPage',
        chooseCourse: 'StudentCourse/ChooseCourseAPP',
        // courseTypes: 'Course/GetCourseTypes',//课程分类
        courseTypes: 'TrainPlan/GetTrainPlanTypes',
        courseHomework: 'study/GetHomework',
        saveHomework: 'study/DoHomeWorkSaveAPP',
        studyRecord: 'study/StudyRecordAPP',
        unLogin_courseList: 'Course/GetCourses' //未登录情况下获取选课列表
    },
    examAPI: {
        myExams: "StudentExamination/GetExaminations",
        examination: "StudentExamination/AttendExamination",
        subExamination: "StudentExamination/AppSubExam",
        subExaminationTemp: "StudentExamination/AppSubExamTemp",
        examState: "StudentExamination/ChangeExamStatus" //判断考试是否多端进行
    },
    otherAPI: {
        homepic: 'GongGao/GetAppBanner',
        notice_list: 'GongGao/GetGongGaoList',
        notice_detail: 'GongGao/Detail',
        feebback: 'Feedback/Add',
        version: 'Home/Version'
    }
};
//# sourceMappingURL=app.config.js.map

/***/ }),

/***/ 220:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreditDataProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the CreditDataProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var CreditDataProvider = /** @class */ (function () {
    function CreditDataProvider(httpProvider, globalData, alertService, utilsProvider) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.alertService = alertService;
        this.utilsProvider = utilsProvider;
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
        console.log('Hello CreditDataProvider Provider');
    }
    //获取学分查询数据
    //默认请求当年数据
    CreditDataProvider.prototype.getCredit = function (year, navCtrl) {
        var _this = this;
        var creditUrl = this.cfg.apiUrl + this.cfg.courseAPI.credit;
        var params = { token: this.globalData.getToken(), uid: this.globalData.getUserInfo().userID, year: year };
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(creditUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.credit = _this.setCredit(year, res);
            }
            else {
                //this.alertService.showAlert(res.message);
                _this.utilsProvider.checkToken(res.message, navCtrl);
            }
            return _this.credit;
        }, function (error) {
            _this.alertService.dismissLoading();
            _this.alertService.showAlert(_this.cfg.error_string);
            return error;
        });
        return promise;
    };
    CreditDataProvider.prototype.setCredit = function (year, res) {
        return {
            year: year,
            finco_count: res.data.finCoCount,
            fincredit: res.data.finCredit,
            unfinco_count: res.data.unfinCoCount,
            unfincredit: res.data.unfinCredit
        };
    };
    CreditDataProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])() //学分查询数据交互服务
        ,
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__utils_utils__["a" /* UtilsProvider */]])
    ], CreditDataProvider);
    return CreditDataProvider;
}());

//# sourceMappingURL=credit.service.js.map

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeworkProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_config__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the HomeworkProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var HomeworkProvider = /** @class */ (function () {
    function HomeworkProvider(httpProvider, globalData, utilsProvider, alertService) {
        this.httpProvider = httpProvider;
        this.globalData = globalData;
        this.utilsProvider = utilsProvider;
        this.alertService = alertService;
        this.cfg = __WEBPACK_IMPORTED_MODULE_5__app_app_config__["a" /* cfg */];
        console.log('Hello HomeworkProvider');
    }
    //获取作业数据
    HomeworkProvider.prototype.getHomework = function (homewordID, classID, courseID) {
        var _this = this;
        var homeworkUrl = this.cfg.apiUrl + this.cfg.courseAPI.courseHomework;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            hid: homewordID,
            classId: classID,
            courseId: courseID,
            type: ""
        };
        this.alertService.showLoading("加载中");
        var promise = this.httpProvider.post(homeworkUrl, params).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.setHomeworks(res.data);
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return _this.homeWorks;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    //提交作业
    HomeworkProvider.prototype.saveUserHomework = function (homewordID, classID, courseID, userAnswers) {
        var _this = this;
        var saveHomeworkUrl = this.cfg.apiUrl + this.cfg.courseAPI.saveHomework;
        var params = {
            token: this.globalData.getToken(),
            uid: this.globalData.getUserID(),
            hid: homewordID,
            classId: classID,
            courseId: courseID,
            answers: userAnswers
        };
        var paramsNew = { data: JSON.stringify(params) };
        this.alertService.showLoading("作业提交中");
        var promise = this.httpProvider.post(saveHomeworkUrl, paramsNew).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.alertService.showToast(res.message, 3000, 'middle');
            }
            else {
                _this.alertService.showAlert(res.message);
            }
            return res.result;
        }, function (error) {
            _this.alertService.showAlert(_this.cfg.error_string);
            _this.alertService.dismissLoading();
            return error;
        });
        return promise;
    };
    HomeworkProvider.prototype.setHomeworks = function (datas) {
        this.homeWorks = [];
        var letters = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O"];
        var questionTypeName = "";
        for (var i = 0; i < datas.length; i++) {
            this.quesOptions = [];
            var questionTypeCode = datas[i].QuestionType;
            if (questionTypeCode == 1) {
                questionTypeName = "单选题";
            }
            else if (questionTypeCode == 2) {
                questionTypeName = "多选题";
            }
            else {
                questionTypeName = "判断题";
            }
            for (var j = 0; j < datas[i].Options.length; j++) {
                this.quesOptions.push({
                    tag: letters[j],
                    quesOption: datas[i].Options[j],
                    selected: false //多选题中使用
                });
            }
            this.homeWorks.push({
                ID: datas[i].ID,
                index: i + 1,
                question: datas[i].Question,
                options: this.quesOptions,
                answer: datas[i].Answer,
                questionType: datas[i].QuestionType,
                typeName: questionTypeName,
                radioOptions: "radioOptions" + i,
                haveDone: false
            });
        }
    };
    HomeworkProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__http_service_http_service__["a" /* HttpServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__globaldata_globaldata__["a" /* GlobaldataProvider */],
            __WEBPACK_IMPORTED_MODULE_3__utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__utils_alert_service__["a" /* AlertService */]])
    ], HomeworkProvider);
    return HomeworkProvider;
}());

//# sourceMappingURL=homework.service.js.map

/***/ }),

/***/ 223:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(245);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 245:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_component__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_screen_orientation__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_network__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_opener__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_file__ = __webpack_require__(46);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_file_transfer__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_android_permissions__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_device__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_themeable_browser__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__providers_http_service_http_service__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_user_service_user_service__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_data_service_data_service__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_utils_storage_service__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__providers_home_service_home_service__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__providers_credit_service_credit_service__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__providers_homework_service_homework_service__ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__providers_setting_service_setting_service__ = __webpack_require__(113);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__providers_utils_updateApp_service__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__providers_utils_backbutton_service__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__providers_utils_download_service__ = __webpack_require__(298);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__providers_utils_openFile_service__ = __webpack_require__(218);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__providers_examination_service_examination_service__ = __webpack_require__(219);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





//引入页面组件


//引入native,即插件










//引入自定义provider








//引入自定义组件component (也可以不全局引入，在需要的页面引入需要的组件)
//引入自定义过滤器pipe(也可以不全局引入，在需要的页面引入需要的pipe)








var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__["a" /* TabsPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_1__angular_http__["c" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["h" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */], {
                    backButtonText: '',
                    mode: 'ios',
                    tabsHideOnSubPages: 'true',
                    tabsPlacement: 'bottom',
                    modalEnter: 'modal-slide-in',
                    modalLeave: 'modal-slide-out'
                }, {
                    links: [
                        { loadChildren: '../pages/about/about.module#AboutPageModule', name: 'AboutPage', segment: 'about', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/add-course-list/add-course-list.module#AddCourseListPageModule', name: 'AddCourseListPage', segment: 'add-course-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/course-choose/course-choose.module#CourseChoosePageModule', name: 'CourseChoosePage', segment: 'course-choose', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/course-list/course-list.module#CourseListPageModule', name: 'CourseListPage', segment: 'course-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/course-study/course-study.module#CourseStudyPageModule', name: 'CourseStudyPage', segment: 'course-study', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/credit/credit.module#CreditPageModule', name: 'CreditPage', segment: 'credit', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/discover/discover.module#DiscoverPageModule', name: 'DiscoverPage', segment: 'discover', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/download-info/download-info.module#DownloadInfoPageModule', name: 'DownloadInfoPage', segment: 'download-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/examination/examination.module#ExaminationPageModule', name: 'ExaminationPage', segment: 'examination', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomePageModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/feedback/feedback.module#FeedbackPageModule', name: 'FeedbackPage', segment: 'feedback', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/homework/homework.module#HomeworkPageModule', name: 'HomeworkPage', segment: 'homework', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/iframe-url/iframe-url.module#IframeUrlPageModule', name: 'IframeUrlPage', segment: 'iframe-url', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/index-popover/index-popover.module#IndexPopoverPageModule', name: 'IndexPopoverPage', segment: 'index-popover', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/local-course/local-course.module#LocalCoursePageModule', name: 'LocalCoursePage', segment: 'local-course', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/local-courseware/local-courseware.module#LocalCoursewarePageModule', name: 'LocalCoursewarePage', segment: 'local-courseware', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/modify-info/modify-info.module#ModifyInfoPageModule', name: 'ModifyInfoPage', segment: 'modify-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my-exam/my-exam.module#MyExamPageModule', name: 'MyExamPage', segment: 'my-exam', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/mycenter/mycenter.module#MycenterPageModule', name: 'MycenterPage', segment: 'mycenter', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/mycourse-list/mycourse-list.module#MycourseListPageModule', name: 'MycourseListPage', segment: 'mycourse-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/myplan-list/myplan-list.module#MyplanListPageModule', name: 'MyplanListPage', segment: 'myplan-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/notice-detail/notice-detail.module#NoticeDetailPageModule', name: 'NoticeDetailPage', segment: 'notice-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/payment/payment.module#PaymentPageModule', name: 'PaymentPage', segment: 'payment', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pay-info/pay-info.module#PayInfoPageModule', name: 'PayInfoPage', segment: 'pay-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/person-info/person-info.module#PersonInfoPageModule', name: 'PersonInfoPage', segment: 'person-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/personal/personal.module#PersonalPageModule', name: 'PersonalPage', segment: 'personal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/plan-detail/plan-detail.module#PlanDetailPageModule', name: 'PlanDetailPage', segment: 'plan-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/plan-list/plan-list.module#PlanListPageModule', name: 'PlanListPage', segment: 'plan-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register/register.module#RegisterPageModule', name: 'RegisterPage', segment: 'register', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/resetpwd/resetpwd.module#ResetpwdPageModule', name: 'ResetpwdPage', segment: 'resetpwd', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/search/search.module#SearchPageModule', name: 'SearchPage', segment: 'search', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/settings/settings.module#SettingsPageModule', name: 'SettingsPage', segment: 'settings', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["a" /* IonicStorageModule */].forRoot({
                    name: 'MyAPP',
                    driverOrder: ['sqlite', 'indexeddb', 'websql']
                })
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["f" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__["a" /* TabsPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_network__["a" /* Network */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_opener__["a" /* FileOpener */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_file_transfer__["a" /* FileTransfer */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_file_transfer__["b" /* FileTransferObject */],
                { provide: __WEBPACK_IMPORTED_MODULE_2__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["g" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_17__providers_utils_alert_service__["a" /* AlertService */],
                __WEBPACK_IMPORTED_MODULE_18__providers_http_service_http_service__["a" /* HttpServiceProvider */],
                __WEBPACK_IMPORTED_MODULE_19__providers_user_service_user_service__["a" /* UserServiceProvider */],
                __WEBPACK_IMPORTED_MODULE_20__providers_utils_utils__["a" /* UtilsProvider */],
                __WEBPACK_IMPORTED_MODULE_21__providers_globaldata_globaldata__["a" /* GlobaldataProvider */],
                __WEBPACK_IMPORTED_MODULE_22__providers_data_service_data_service__["a" /* DataProvider */],
                __WEBPACK_IMPORTED_MODULE_23__providers_utils_storage_service__["a" /* StorageProvider */],
                __WEBPACK_IMPORTED_MODULE_24__providers_home_service_home_service__["a" /* HomeDataProvider */],
                __WEBPACK_IMPORTED_MODULE_25__providers_credit_service_credit_service__["a" /* CreditDataProvider */],
                __WEBPACK_IMPORTED_MODULE_26__providers_homework_service_homework_service__["a" /* HomeworkProvider */],
                __WEBPACK_IMPORTED_MODULE_27__providers_setting_service_setting_service__["a" /* SettingProvider */],
                __WEBPACK_IMPORTED_MODULE_28__providers_utils_updateApp_service__["a" /* UpdateAppProvider */],
                __WEBPACK_IMPORTED_MODULE_29__providers_utils_backbutton_service__["a" /* BackbuttonProvider */],
                __WEBPACK_IMPORTED_MODULE_30__providers_utils_download_service__["a" /* DownloadService */],
                __WEBPACK_IMPORTED_MODULE_14__ionic_native_android_permissions__["a" /* AndroidPermissions */],
                __WEBPACK_IMPORTED_MODULE_15__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_16__ionic_native_themeable_browser__["a" /* ThemeableBrowser */],
                __WEBPACK_IMPORTED_MODULE_31__providers_utils_openFile_service__["a" /* OpenFileProvider */],
                __WEBPACK_IMPORTED_MODULE_32__providers_examination_service_examination_service__["a" /* ExaminationProvider */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 297:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_utils_updateApp_service__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_config__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_utils_utils__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen, alertService, updateAppProvider, utilsProvider) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.alertService = alertService;
        this.updateAppProvider = updateAppProvider;
        this.utilsProvider = utilsProvider;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */];
        this.cfg = __WEBPACK_IMPORTED_MODULE_7__app_config__["a" /* cfg */];
        this.initializeApp();
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            //this.statusBar.overlaysWebView(true);
            _this.statusBar.backgroundColorByHexString('#0490E2');
            _this.splashScreen.hide();
            _this.updateAppProvider.checkAppVersion();
            _this.utilsProvider.checkNetwork();
            //初始化极光推送
            JPushPlugin.init(); //.then(res=>{alert("push res:"+JSON.stringify(res))}).catch(err=>{alert("push err:"+JSON.stringify(err))});
            JPushPlugin.setDebugMode(true);
            //初始化极光统计
            JAnalytics.setDebugMode({ enable: true });
            JAnalytics.init(); //.then(res=>{alert("JAnalytics res:"+JSON.stringify(res))}).catch(err=>{alert("JAnalytics err:"+JSON.stringify(err))});   
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('mainTabs'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* Tabs */])
    ], MyApp.prototype, "tabRef", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_5__providers_utils_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_utils_updateApp_service__["a" /* UpdateAppProvider */], __WEBPACK_IMPORTED_MODULE_8__providers_utils_utils__["a" /* UtilsProvider */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 298:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DownloadService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__ = __webpack_require__(46);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_transfer__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/*
下载服务
*/
var DownloadService = /** @class */ (function () {
    function DownloadService(alertService, utilsProvider, file, transfer) {
        this.alertService = alertService;
        this.utilsProvider = utilsProvider;
        this.file = file;
        this.transfer = transfer;
    }
    DownloadService.prototype.start_download = function (url, coursewareID, classID) {
        var _this = this;
        var fileTransfer = this.transfer.create();
        var uri = encodeURI(url);
        var localvideoPath = "";
        if (this.utilsProvider.isAndroid) {
            localvideoPath = this.file.externalRootDirectory + 'download_gzwcit/course_videos/' + classID + '/' + coursewareID + '.mp4';
        }
        else {
            this.file.dataDirectory + 'download_gzwcit/course_videos/' + classID + '/' + coursewareID + '.mp4';
        }
        var trustAllHosts = true;
        // 选项
        var options = {
            headers: {
                "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
            }
        };
        fileTransfer.download(uri, localvideoPath, trustAllHosts, options).then(function (entry) {
            console.log('download complete: ' + entry.toURL());
        }, function (error) {
            _this.alertService.showAlert('下载失败');
            console.log("download error source " + error.source);
            console.log("download error target " + error.target);
        });
        fileTransfer.onProgress(function (event) {
            var downloadProgress = (event.loaded / event.total) * 100;
            // let progressValue = Math.floor(downloadProgress) + "%";
            if (downloadProgress > 99) {
            }
        });
    };
    DownloadService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_2__utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_transfer__["a" /* FileTransfer */]])
    ], DownloadService);
    return DownloadService;
}());

//# sourceMappingURL=download.service.js.map

/***/ }),

/***/ 30:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HttpServiceProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_http__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__ = __webpack_require__(270);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_toPromise__ = __webpack_require__(271);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_toPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_toPromise__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/*
  http请求工具，包括get和post方式
*/
var HttpServiceProvider = /** @class */ (function () {
    function HttpServiceProvider(http) {
        this.http = http;
        console.log('Hello HttpServiceProvider Provider');
    }
    /**
     * get方式请求
     * @param {string} url     //url
     * @param paramObj      //json对象 如:{name:'name',age:'23'}
     * @return {Promise<never | {}>}
     */
    HttpServiceProvider.prototype.get = function (url, paramObj) {
        if (paramObj === void 0) { paramObj = {}; }
        //let timestamp = Math.floor(new Date().getTime() / 1000 - 1420070400).toString();    //获取当前时间 减 2015年1月1日的 时间戳
        //let headers = new Headers({ 'timestamp': timestamp });
        var headers = new __WEBPACK_IMPORTED_MODULE_0__angular_http__["a" /* Headers */]();
        var options = new __WEBPACK_IMPORTED_MODULE_0__angular_http__["d" /* RequestOptions */]({ headers: headers });
        return this.http.get(url + this.toQueryString(paramObj), options)
            .toPromise()
            .then(this.extractData)
            .catch(this.handleError);
    };
    /**
     * post方式请求
     * @param {string} url
     * @param body       //如：paramObj:{name:'name',age:'23'}
     * @param {string} contentType      //post请求的编码方式,默认application/json  application/x-www-form-urlencoded  multipart/form-data   application/json   text/xml
     * @return {Promise<never | {}>}
     */
    HttpServiceProvider.prototype.post = function (url, body, contentType) {
        if (body === void 0) { body = {}; }
        if (contentType === void 0) { contentType = "application/x-www-form-urlencoded"; }
        var headers = new __WEBPACK_IMPORTED_MODULE_0__angular_http__["a" /* Headers */]({ 'Content-Type': contentType });
        var options = new __WEBPACK_IMPORTED_MODULE_0__angular_http__["d" /* RequestOptions */]({ headers: headers });
        return this.http.post(url, this.toBodyString(body), options)
            .toPromise()
            .then(this.extractData)
            .catch(this.handleError);
    };
    /**
     * get请求参数处理
     *  对于get方法来说，都是把数据串联在请求的url后面作为参数，如果url中出现中文或其它特殊字符的话，很常见的一个乱码问题就要出现了
     *  url拼接完成后，浏览器会对url进行URL encode，然后发送给服务器，URL encode的过程就是把部分url做为字符，按照某种编码方式（如：utf-8,gbk等）编码成二进制的字节码
     * 不同的浏览器有不同的做法，中文版的浏览器一般会默认的使用GBK，通过设置浏览器也可以使用UTF-8，可能不同的用户就有不同的浏览器设置，也就造成不同的编码方式，
     * 所以通常做法都是先把url里面的中文或特殊字符用 javascript做URL encode，然后再拼接url提交数据，也就是替浏览器做了URL encode，好处就是网站可以统一get方法提交数据的编码方式。
     * @param obj　参数对象
     * @return {string}　参数字符串
     * @example
     *  声明: var obj= {'name':'大见',age:23};
     *  调用: toQueryString(obj);
     *  返回: "?name=%E5%B0%8F%E5%86%9B&age=23"
     */
    HttpServiceProvider.prototype.toQueryString = function (obj) {
        var ret = [];
        for (var key in obj) {
            key = encodeURIComponent(key);
            var values = obj[key];
            if (values && values.constructor == Array) {
                var queryValues = [];
                for (var i = 0, len = values.length, value = void 0; i < len; i++) {
                    value = values[i];
                    queryValues.push(this.toQueryPair(key, value));
                }
                ret = ret.concat(queryValues);
            }
            else {
                ret.push(this.toQueryPair(key, values));
            }
        }
        return '?' + ret.join('&');
    };
    /**
     *  post请求参数处理
     * @param obj
     * @return {string}
     *  声明: var obj= {'name':'大见',age:23};
     *  调用: toQueryString(obj);
     *  返回: "name=%E5%B0%8F%E5%86%9B&age=23"
     */
    HttpServiceProvider.prototype.toBodyString = function (obj) {
        var ret = [];
        for (var key in obj) {
            key = encodeURIComponent(key);
            // key = key;
            var values = obj[key];
            if (values && values.constructor == Array) {
                var queryValues = [];
                for (var i = 0, len = values.length, value = void 0; i < len; i++) {
                    value = values[i];
                    queryValues.push(this.toQueryPair(key, value));
                }
                ret = ret.concat(queryValues);
            }
            else {
                ret.push(this.toQueryPair(key, values));
            }
        }
        return ret.join('&');
    };
    HttpServiceProvider.prototype.toQueryPair = function (key, value) {
        if (typeof value == 'undefined') {
            return key;
        }
        return key + '=' + encodeURIComponent(value === null ? '' : String(value));
        // return key + '=' +(value === null ? '' : String(value));
    };
    // private toSignPair(key, value) {
    //   return key + '=' + (value === null ? '' : String(value));
    // }
    HttpServiceProvider.prototype.extractData = function (res) {
        var body = res.json();
        return body || {};
    };
    HttpServiceProvider.prototype.handleError = function (error) {
        var errMsg;
        if (error instanceof __WEBPACK_IMPORTED_MODULE_0__angular_http__["e" /* Response */]) {
            var body = error.json() || '';
            var err = body.error || JSON.stringify(body);
            errMsg = error.status + " - " + (error.statusText || '') + " " + err;
        }
        else {
            errMsg = error.message ? error.message : error.toString();
        }
        console.error(errMsg);
        return Promise.reject(errMsg);
    };
    HttpServiceProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_http__["b" /* Http */]])
    ], HttpServiceProvider);
    return HttpServiceProvider;
}());

//# sourceMappingURL=http.service.js.map

/***/ })

},[223]);
//# sourceMappingURL=main.js.map